$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.18.42-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.18.42-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2FD49A10371B4F4A65CA22E6387E6AAF2F248E354B9CBDC120D486D4F2BD5F39'
  checksumType = 'sha256'
  checksum64 = '2FD49A10371B4F4A65CA22E6387E6AAF2F248E354B9CBDC120D486D4F2BD5F39'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.18.42-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
